- Qt 5.15
- Qt Widgets
- qt5_wrap_ui
- Qt 5.15.15 Reference Documentation

# qt5_wrap_ui

## Synopsis

     qt5_wrap_ui(<VAR> ui_file1 [ui_file2 ...]
                 [OPTIONS ...])

## Description

Creates rules for calling the User Interface Compiler (uic) on the given `.ui` files. For each input file, an header file is generated in the build directory. The paths of the generated header files are added to `<VAR>`.

Note: This is a low-level macro. See the CMake AUTOUIC Documentation for a more convenient way to process `.ui` files with `uic`.

Note: For compatibility with Qt 6, the command is also available under the name qt_wrap_ui.

## Options

You can set additional `OPTIONS` that should be added to the `uic` calls. You can find possible options in the uic documentation.

## Examples

     set(SOURCES mainwindow.cpp main.cpp)
     qt5_wrap_ui(SOURCES mainwindow.ui)
     add_executable(myapp ${SOURCES})